Submit Hint Search The Forums LinksStatsPollsHeadlinesRSS
14,000 hints and counting!


Click here to return to the '10.4: About the Java SE 5.0 Release 3 update' hint
The following comments are owned by whoever posted them. This site is not responsible for what they say.
10.4: About the Java SE 5.0 Release 3 update
Authored by: durin42 on Nov 16, '05 05:41:42PM

"Contrary to what you may have read elsewhere, you should not modify anything (e.g. symbolic links) in the /System area of OS X to change the default to be Java 5"
No. If you're doing ant-based development requiring you to compile using the javac for Java 1.5, you're gonna have to change some symlinks. Deal. It won't break much, if anything, and some things end up working better in my experience.

[Caveat: Maple breaks, but if you edit the Info.plist right it fixes everything. I'm assuming if you're deep enough to need this kind of functionality AND Maple you're smart enough to actually know how to do that and not be scared of it]



[ Reply to This | # ]
using javac
Authored by: hayne on Nov 16, '05 09:14:47PM
If you're doing ant-based development requiring you to compile using the javac for Java 1.5, you're gonna have to change some symlinks. Deal. It won't break much, if anything, and some things end up working better in my experience
It seems that you didn't read the forums posting that Rob referred to above. I explain there how to modify your shell environment to select whichever Java version you want.
There is no need to change any symlinks!

[ Reply to This | # ]